> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List citations for a brand report



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json get /v1/reports/brand/{reportId}/citations
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/reports/brand/{reportId}/citations:
    get:
      tags:
        - Brand Reports
      summary: List citations for a brand report
      parameters:
        - schema:
            type: string
            minLength: 1
            example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
            description: Brand report identifier.
          required: true
          description: Brand report identifier.
          name: reportId
          in: path
        - schema:
            type: string
            minLength: 1
            description: Start date for the citations window (inclusive).
            example: '2025-01-01'
          required: true
          description: Start date for the citations window (inclusive).
          name: startDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: End date for the citations window (inclusive).
            example: '2025-01-31'
          required: true
          description: End date for the citations window (inclusive).
          name: endDate
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Country code to filter citations by. Lowercase ISO 3166-1 alpha-2;
              use `uk` for the United Kingdom.
            example: us
          required: true
          description: >-
            Country code to filter citations by. Lowercase ISO 3166-1 alpha-2;
            use `uk` for the United Kingdom.
          name: country
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - chatgpt
                  - google
                  - perplexity
                  - copilot
                  - google_ai_mode
                  - gemini
                  - claude
                description: AI engine identifier.
                example: chatgpt
              - type: array
                items:
                  type: string
                  enum:
                    - chatgpt
                    - google
                    - perplexity
                    - copilot
                    - google_ai_mode
                    - gemini
                    - claude
                  description: AI engine identifier.
                  example: chatgpt
            description: >-
              Optional. AI engine(s) to filter by. Repeat the param or pass a
              single value.
          required: false
          description: >-
            Optional. AI engine(s) to filter by. Repeat the param or pass a
            single value.
          name: engines
          in: query
        - schema:
            type: string
            description: Optional. Filter citations by tag id.
          required: false
          description: Optional. Filter citations by tag id.
          name: tagId
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
            description: Optional. Filter citations to specific domains.
          required: false
          description: Optional. Filter citations to specific domains.
          name: domains
          in: query
        - schema:
            type: string
            description: Optional. Free-text search.
          required: false
          description: Optional. Free-text search.
          name: search
          in: query
        - schema:
            type: integer
            description: Optional. Zero-based offset for pagination.
          required: false
          description: Optional. Zero-based offset for pagination.
          name: offset
          in: query
        - schema:
            type: integer
            description: Optional. Maximum number of items to return.
          required: false
          description: Optional. Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            description: Optional. Field to sort by.
          required: false
          description: Optional. Field to sort by.
          name: sortBy
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            description: Optional. Sort direction.
          required: false
          description: Optional. Sort direction.
          name: sortOrder
          in: query
        - schema:
            type: boolean
            description: Optional. Filter citations where the brand is mentioned.
          required: false
          description: Optional. Filter citations where the brand is mentioned.
          name: brandMentioned
          in: query
        - schema:
            anyOf:
              - type: string
              - type: array
                items:
                  type: string
            description: Optional. Filter by one or more competitor brand names.
          required: false
          description: Optional. Filter by one or more competitor brand names.
          name: competitors
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - Social Media
                  - Community/Forum
                  - Brand
                  - Encyclopedia
                  - News/Media
                  - Blogs/Personal Sites
                  - Government/NGO
                  - Education
                  - Video
                  - Competitor
                  - Others
                  - Unclassified
                description: Domain classification.
                example: News/Media
              - type: array
                items:
                  type: string
                  enum:
                    - Social Media
                    - Community/Forum
                    - Brand
                    - Encyclopedia
                    - News/Media
                    - Blogs/Personal Sites
                    - Government/NGO
                    - Education
                    - Video
                    - Competitor
                    - Others
                    - Unclassified
                  description: Domain classification.
                  example: News/Media
            description: >-
              Optional. Domain category/categories to filter by. Repeat the
              param or pass a single value.
          required: false
          description: >-
            Optional. Domain category/categories to filter by. Repeat the param
            or pass a single value.
          name: domainCategories
          in: query
      responses:
        '200':
          description: A page of citations for the brand report.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiBrandReportCitationsList'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '404':
          description: Report not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiBrandReportCitationsList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiBrandReportCitationItem'
        paging:
          $ref: '#/components/schemas/PublicApiOffsetPaging'
      required:
        - items
        - paging
      example:
        items:
          - url: https://www.adidas.com/us/running
            domain: adidas.com
            title: Adidas Running Shoes & Apparel
            citations: 7469
            prompts:
              - id: 01HXP1DRTM5G8Z2N3KQ7VAW4PA
                brandMentioned: 1
                engines:
                  - chatgpt
                  - gemini
            isMyBrandDomain: true
            competitors:
              - brand: Nike
              - brand: Asics
              - brand: New Balance
            brandMentioned: 1
            domainCategory: Brand
        paging:
          limit: 25
          offset: 0
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
    PublicApiBrandReportCitationItem:
      type: object
      properties:
        url:
          type: string
        domain:
          type: string
        title:
          type: string
        citations:
          type: number
        prompts:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiBrandReportCitationPrompt'
        isMyBrandDomain:
          type: boolean
        competitors:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiBrandReportCitationCompetitor'
        brandMentioned:
          type: number
        domainCategory:
          type: string
          enum:
            - Social Media
            - Community/Forum
            - Brand
            - Encyclopedia
            - News/Media
            - Blogs/Personal Sites
            - Government/NGO
            - Education
            - Video
            - Competitor
            - Others
            - Unclassified
          description: Domain classification.
          example: News/Media
      required:
        - url
        - domain
        - title
        - citations
        - prompts
        - brandMentioned
        - domainCategory
      example:
        url: https://www.adidas.com/us/running
        domain: adidas.com
        title: Adidas Running Shoes & Apparel
        citations: 7469
        prompts:
          - id: 01HXP1DRTM5G8Z2N3KQ7VAW4PA
            brandMentioned: 1
            engines:
              - chatgpt
              - gemini
        isMyBrandDomain: true
        competitors:
          - brand: Nike
          - brand: Asics
          - brand: New Balance
        brandMentioned: 1
        domainCategory: Brand
    PublicApiOffsetPaging:
      type: object
      properties:
        limit:
          type: integer
          minimum: 1
        offset:
          type: integer
          minimum: 0
      required:
        - limit
        - offset
      example:
        limit: 25
        offset: 0
    PublicApiBrandReportCitationPrompt:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        brandMentioned:
          type: number
        engines:
          type: array
          items:
            type: string
          description: AI engines this citation appeared in.
      required:
        - id
        - brandMentioned
        - engines
      example:
        id: 01HXP1DRTM5G8Z2N3KQ7VAW4PA
        brandMentioned: 1
        engines:
          - chatgpt
          - gemini
    PublicApiBrandReportCitationCompetitor:
      type: object
      properties:
        brand:
          type: string
      required:
        - brand
      example:
        brand: Nike
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````